# Class RegexEngineImpl

java.lang.Object
com.thaiopensource.datatype.xsd.regex.xerces2.RegexEngineImpl

All Implemented Interfaces:
  `RegexEngine`

public class RegexEngineImpl extends Object implements RegexEngine
An implementation of `RegexEngine` using the Xerces 2 regular expression implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexEngineImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Regex`
  `compile(String expr)`
  Compiles a string containing a regular expression into a `Regex` object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegexEngineImpl

    public RegexEngineImpl()

- ## Method Details

  - ### compile

    public Regex compile(String expr) throws RegexSyntaxException
    Description copied from interface: `RegexEngine`
    Compiles a string containing a regular expression into a `Regex` object. The `Regex` object can be used to test whether a string matches the regular expression.
    Specified by:
      `compile` in interface `RegexEngine`
    Parameters:
      `expr` - a String containing a regular expression
    Returns:
      a `Regex` for `str`
    Throws:
      `RegexSyntaxException` - if `str` is not a valid regular expression